Update Channel Order Settings
Updates order settings for a specific channel.
**Note:** You must override both notifications `email_addresses` or neither, i.e. either both notification `email_addresses` are an array of valid email addresses, or both `email_addresses` must be null. You may not have one set to an array of addresses and the other set to `null`.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` |
| Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` |
| Orders | read and modify `payment_methods` |`store_v2_orders`|
| Orders | read `payment_methods` |`store_v2_orders_read_only`|
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
channel_id
Channel ID
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Request
This endpoint expects an object.
notifications
Channel notification settings.
Response
OK
notifications
Channel notification settings.
meta
Response metadata.
Errors
400
Bad Request Error
422
Unprocessable Entity Error